Neler yeni

Hoşgeldiniz PrestaShop Türkiye

PrestaShop Türkiye Sitesine Hoşgeldiniz. Sitemize ilk ziyaretiniz ise, aşağıdaki bağlantıya tıklayıp kayıt olabilirsiniz.
ücretsiz sanal pos

Prestashop Hata Için Yardım.

ücretsiz sanal pos
ücretsiz sanal pos

senoldeger

Yeni Üye
Katılım
11/5/24
Mesajlar
5
Tepkime puanı
0
Puanları
1
Arkadaşlar selamlar. Bİr konu hakkında desteğinize ihtiyacım var.

web sitemde bu güne kadar herhangi bir problem yoktu. Dün web siteme hiçbir şekilde ulaşamadım, isimte.... çağrı merkezini aradım dns değiştirdiler ve web sitemin en üstünde '' Warning: Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128' (this will throw an Error in a future version of PHP) in /var/www/vhosts/alanadı.net/public_html/classes/Rijndael.php on line 124 '' uyarısı vererek site açıldı. Admin paneli hariç her şey normaldi ve uyarı devam ediyordu. Çağrı merkezini tekrar aradım FTP güncellemesi yaptılar ve site tamamen gitti.

Şu an web sitemde ''

Fatal error: Uncaught Error: Call to undefined function get_magic_quotes_gpc() in /var/www/vhosts/alanadı/public_html/config/defines.inc.php:143 Stack trace: #0 /var/www/vhosts/alanadı.net/public_html/config/config.inc.php(33): require_once() #1 /var/www/vhosts/alanadı.net/public_html/admin/index.php(36): require('...') #2 {main} thrown in /var/www/vhosts/alanadı.net/public_html/config/defines.inc.php on line 143 '' uyarısını almaktayım.

Çağrı merkezini tekrar aradım. Sorun bizimle alakalı değil cevabını aldım. oysaki site arayüzü vs hiç bir şekilde işlem yapmadık. Sorun nereden kaynaklanıyor bilmiyorum.


Konuyla ilgili yardımlarınıza ihtiyacım var. Şimdiden tşk ederim.
 
Son düzenleme:

BuzGibi

Yeni Üye
Katılım
28/4/24
Mesajlar
11
Tepkime puanı
2
Puanları
3
Call to undefined function get_magic_quotes_gpc()

yani magic_quotes_gpc eklentisi server üzerinde açık değil uyarısı bu

Prestashop un kendi forumlarında yazan cevabın türkçesi...

get_magic_quotes_gpc işlevi PHP 7.4'ten beri kullanımdan kaldırılmıştır.
Benim tahminime göre, sürümü 1.8'den küçük olan ve PHP 8 kullanan bir Prestashop mağazanız var.
Bu mümkün değildir; web mağazanızın hangi PHP sürümünü desteklediğini görmek için PHP uyumluluk tablosuna bakın.

https://devdocs.prestashop-project..../system-requirements/#php-compatibility-chart

Sorunun tamamen server kaynaklı
Muhtemelen PHP versiyonun yanlış..
Maalesef ki ilgili firma bu konuda çok zayıf...
 

senoldeger

Yeni Üye
Katılım
11/5/24
Mesajlar
5
Tepkime puanı
0
Puanları
1
Cevabınız için çok teşekkür ederim. Prestashop_1.6.1.23 kullanıyorum. PHP sürümü 7.1 e düşürüldü sorun çözüldü.
 
Son düzenleme:
Bu konuyu kim okudu (Toplam okuyucu: 5)
Üst Alt